- 09/03 : Find a partner for IT Innovation Presentation (in pairs)
- 09/03 : Listen to the 3 mp3 files in file 3 + do corresponding exercises on worksheets - upload your answers in dropbox jpg4+jpg5
- 09/03 : Fill in worksheet about Countables and Uncountables (in file n°1 Videos)
- 09/03 : Take the Prepositions Questionnaire on Claroline.
- 09/03 : Get ready to have a discussion about the text you read today at the end of the session)
- 13/04 : IT INNOVATION PRESENTATIONS
- 02/06 : TOEIC Session
- 08/06 : JOB INTERVIEWS
